
Foreman - Bug #10992

Can't open a console to VMware VM

07/02/2015 04:11 PM - Yuri G

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I try to open a console to a vmware VM, I'm getting an error:

WebSock error: [object Event]

I can see that websockify script is running correctly

foreman  27571  0.0  0.0 156148 11932 ?        S    16:06   0:00 /usr/bin/python /usr/share/foreman/extras/noVNC/websockify.py

--daemon --idle-timeout=120 --timeout=120 5911 10.10.1.27:5956 --cert

/var/lib/puppet/ssl/certs/foreman001.grid.prod.yyz.corp.pvt.pem --key

/var/lib/puppet/ssl/private_keys/foreman001.grid.prod.yyz.corp.pvt.pem

I'm able to connect to the same IP:port with a VNC client, and a password I got from foreman, with no problems.

History

#1 - 07/03/2015 03:20 AM - Dominic Cleal

- Category set to Compute resources

You may need to store the CA certificate permanently in your web browser for this to work on an HTTPS setup.

#2 - 07/06/2015 01:48 PM - Yuri G

Dominic Cleal wrote:

You may need to store the CA certificate permanently in your web browser for this to work on an HTTPS setup.

 I tried that, still doesn't work.

#3 - 07/06/2015 02:24 PM - Yuri G

Actually I've got it working, but in Chrome only. The same doesn't work in Firefox or IE.

#4 - 07/22/2015 10:27 AM - Joe User

Any news on this bug regarding Firefox?

It still not working on my end.

TIA
